/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-03-15
* Changed:         2026-06-23
*
* */

#include <ls-std/time/system-time/SystemTimeParameter.hpp>
#include <memory>

using ls::standard::time::IClock;
using ls::standard::time::SystemTimeParameter;
using std::shared_ptr;

SystemTimeParameter::SystemTimeParameter() = default;

SystemTimeParameter::~SystemTimeParameter() = default;

shared_ptr<IClock> SystemTimeParameter::getClock() const
{
  return this->clock;
}

void SystemTimeParameter::setClock(const shared_ptr<IClock> &_clock)
{
  this->clock = _clock;
}
